(use-modules
  (gnu packages)
  (gnu packages guile)
  (guix build-system guile)
  (guix gexp)
  ((guix licenses) #:prefix license:)
  (guix packages)
  (srfi srfi-1))

(package
  (name "guile-spam-filter")
  (version "0.1.0")
  (source
    (local-file
      (dirname (current-filename))
      #:recursive?
      #t
      #:select?
      (lambda (file stat)
        (not (any (lambda (my-string)
                    (string-contains file my-string))
                  (list ".git" ".dir-locals.el" "guix.scm"))))))
  (build-system guile-build-system)
  (native-inputs
   (list guile-3.0))
  (synopsis "")
  (description "")
  (home-page "")
  (license license:gpl3+))

